Create Custom Charge
curl --request POST \
--url https://api.payaza.africa/live/subscription/api/v1/subscriptions/{id}/charge-custom \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 100,
"currency": "NGN",
"description": "Additional Storage",
"idempotencyKey": "OFFCYCLE-001",
"countsAsCycle": false
}
'import requests
url = "https://api.payaza.africa/live/subscription/api/v1/subscriptions/{id}/charge-custom"
payload = {
"amount": 100,
"currency": "NGN",
"description": "Additional Storage",
"idempotencyKey": "OFFCYCLE-001",
"countsAsCycle": False
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 100,
currency: 'NGN',
description: 'Additional Storage',
idempotencyKey: 'OFFCYCLE-001',
countsAsCycle: false
})
};
fetch('https://api.payaza.africa/live/subscription/api/v1/subscriptions/{id}/charge-custom', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Success",
"data": {
"status": "SUCCESS",
"transactionReference": "SUB_CYCLE_3_A11783547440938",
"amount": 100,
"currency": "NGN",
"chargeMode": "DIRECT_CHARGE",
"message": "Charge completed successfully."
}
}Subscription Charge
Create Custom Charge
This endpoint processes an off-cycle or custom charge for an active subscription.
Notes:
- By default,
countsAsCycleis false.- When
countsAsCycleis false, the subscription’s billing cycle remains unchanged.- Set
countsAsCycleto true if the custom charge should be treated as a scheduled billing cycle.
POST
/
subscription
/
api
/
v1
/
subscriptions
/
{id}
/
charge-custom
Create Custom Charge
Authorizations
Payaza {{Public API Key in Base 64}}
Path Parameters
The Plan ID.
Body
application/json
The amount to be charged.
Example:
1500
The 3-letter ISO currency code.
Example:
"NGN"
A brief description or reason for the one-off charge.
Example:
"Additional Storage"
A Unique identifier used to prevent duplicate charge requests.
Example:
"OFFCYCLE-001"
Indicates whether this charge should count as a normal subscription billing cycle. Defaults to false.
Example:
false
⌘I